package com.zxhyis.toolss.ui.page.photocompress.photo

import android.graphics.Color
import android.widget.TextView
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.zxhyis.toolss.R
import com.zxhyis.toolss.base.TopActivity
import com.zxhyis.toolss.databinding.ActivityCompressionSuccessBinding

class CompressionSuccessActivity : TopActivity<ActivityCompressionSuccessBinding>() {

    override fun getViewBinding1(): ActivityCompressionSuccessBinding {
        return ActivityCompressionSuccessBinding.inflate(layoutInflater)
    }

    override fun init() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        vb.root.updatePadding(top = BarUtils.getStatusBarHeight())
        val num = intent.getIntExtra("num", 0)
        val size = intent.getLongExtra("size", 0)
        findViewById<TextView>(R.id.text).text =
            "$num images compressed " + ImagesMediaUtils.formatFileSize(
                size
            )

    }

}